Summary:	Recursor for PowerDNS
Name:		pdns-recursor
Version:	3.6.4
%define subrel	1
Release:	%mkrel 1
License:	GPL
Group:		System/Servers
URL:		http://www.powerdns.com/
Source0:	http://downloads.powerdns.com/releases/pdns-recursor-%{version}.tar.bz2
Source1:	pdns-recursor.service
Patch0:		rec-3.6.4-spuriosurrs-167732.patch
Requires(post): systemd >= %{systemd_required_version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	libstdc++-devel
BuildRequires:	zlib-devel
BuildRequires:	boost-devel
BuildRequires:	lua5.2-devel

%description
With a small codebase, the PowerDNS Recursor is an advanced recursor currently
serving the DNS resolving needs of over 2 million Internet connections. Besides
high performance (using kqueue or epoll, over 15 thousand qps on commodity
hardware), it provides advanced anti-spoofing measures. In addition, the
program caches server performance and timeouts, making it both network and user
friendly. It also has built-in hooks for making graphs with rrdtool, providing
insight into nameserver performance.

%prep

%setup -q
%patch0 -p1
chmod 644 rrd/*

%build
%serverbuild

export OPTFLAGS=""
export LUA="1"
export LUA_CPPFLAGS_CONFIG="-I%{_includedir}"
export LUA_LIBS_CONFIG="-L%{_libdir} -llua -lm"

%make basic_checks

%make

%install

%makeinstall_std

install -p -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/pdns-recursor.service

rm -f %{buildroot}%{_sysconfdir}/powerdns/*
%{buildroot}%{_sbindir}/pdns_recursor --config > %{buildroot}%{_sysconfdir}/powerdns/recursor.conf

# fix the config
cat >> %{buildroot}%{_sysconfdir}/powerdns/recursor.conf << EOF
socket-dir=/run/powerdns/
soa-minimum-ttl=0
soa-serial-offset=0
local-port=5300
local-address=127.0.0.1
trace=off
daemon=yes
quiet=on
setgid=powerdns
setuid=powerdns
EOF

install -d %{buildroot}%{_tmpfilesdir}
cat <<EOF > %{buildroot}%{_tmpfilesdir}/%{name}.conf
d /run/powerdns 0755 powerdns powerdns
EOF

rm -rf %{buildroot}%{_sysconfdir}/init.d

%pre
%_pre_useradd powerdns /var/lib/powerdns /bin/false

%post
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%doc COPYING README rrd
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/powerdns/recursor.conf
%{_tmpfilesdir}/%{name}.conf
%{_unitdir}/%{name}.service
%{_bindir}/rec_control
%{_sbindir}/pdns_recursor
%{_mandir}/man1/pdns_recursor.1*
%{_mandir}/man1/rec_control.1*


%changelog
* Sun Jan 15 2017 luigiwalser <luigiwalser> 3.6.4-1.1.mga5
+ Revision: 1081845
- add upstream patch to fix CVE-2016-7068
- 3.6.4

* Thu Apr 23 2015 luigiwalser <luigiwalser> 3.6.3-1.mga5
+ Revision: 820595
- 3.6.3 (fixes CVE-2015-1868)

* Tue Dec 09 2014 luigiwalser <luigiwalser> 3.6.2-2.mga5
+ Revision: 802425
- remove invalid directive from config file

* Fri Nov 21 2014 luigiwalser <luigiwalser> 3.6.2-1.mga5
+ Revision: 798196
- 3.6.2

* Wed Oct 15 2014 umeabot <umeabot> 3.6.1-3.mga5
+ Revision: 744109
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.6.1-2.mga5
+ Revision: 683392
- Mageia 5 Mass Rebuild

* Wed Sep 10 2014 oden <oden> 3.6.1-1.mga5
+ Revision: 674516
- 3.6.1

* Sun Jun 29 2014 tv <tv> 3.6.0-1.mga5
+ Revision: 641216
- drop merged patch
- new release
- rebuild with lua-5.2

* Thu Jun 12 2014 oden <oden> 3.5.3-3.mga5
+ Revision: 635770
- P0: fix a DoS (http://blog.powerdns.com/2014/02/06/related-to-recent-dos-attacks-recursor-configuration-file-guidance/)

* Sat Oct 19 2013 umeabot <umeabot> 3.5.3-2.mga4
+ Revision: 535161
- Mageia 4 Mass Rebuild

* Thu Sep 19 2013 oden <oden> 3.5.3-1.mga4
+ Revision: 481382
- 3.5.3

* Wed Jul 10 2013 oden <oden> 3.5.2-1.mga4
+ Revision: 452454
- 3.5.2

* Sun May 05 2013 tmb <tmb> 3.5.1-1.mga3
+ Revision: 412346
- BR lua5.1-devel instead of lua-devel
- add missing sha1.lst

  + oden <oden>
    - 3.5.1

  + mitya <mitya>
    - Created package structure for pdns-recursor.

